Bug 1271474 - Running glance image-list fails with 'Expected endpoint'
Running glance image-list fails with 'Expected endpoint'
Status: CLOSED UPSTREAM
Product: RDO
Classification: Community
Component: python-glanceclient (Show other bugs)
Liberty
Unspecified Linux
unspecified Severity high
: ---
: Kilo
Assigned To: Flavio Percoco
nlevinki
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-14 02:26 EDT by Itzik Brown
Modified: 2016-04-26 14:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-19 06:26:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1504058 None None None Never

  None (edit)
Description Itzik Brown 2015-10-14 02:26:52 EDT
Description of problem:
Running glance image-list fails with 'Expected endpoint'
Running glance --os-image-api-version 1 image-list works

Version-Release number of selected component (if applicable):
python-glanceclient-1.1.1-dev8.el7.centos.noarch
CentOS Linux release 7.1.1503

How reproducible:
100%

Steps to Reproduce:
1. Run glance image-list
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Flavio Percoco 2015-10-19 06:26:46 EDT
This has been fixed upstream. It's possible to rebase the package patches repo from liberty or just wait for another upstream release.

Note You need to log in before you can comment on or make changes to this bug.